Step (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode.startupprogress, class: Step

Package org.apache.hadoop.hdfs.server.namenode.startupprogress

# Class Step

java.lang.Object
org.apache.hadoop.hdfs.server.namenode.startupprogress.Step

All Implemented Interfaces:
  `Comparable<Step>`

@Private public class Step extends Object implements Comparable<Step>
A step performed by the namenode during a `Phase` of startup.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Step(String file)`
  Creates a new Step.
  `Step(String file, long size)`
  Creates a new Step.
  `Step(StepType type)`
  Creates a new Step.
  `Step(StepType type, String file)`
  Creates a new Step.
  `Step(StepType type, String file, long size)`
  Creates a new Step.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(Step other)`
  `boolean`
  `equals(Object otherObj)`
  `String`
  `getFile()`
  Returns the optional file name, possibly null.
  `long`
  `getSize()`
  Returns the optional size in bytes, possibly Long.MIN_VALUE if undefined.
  `StepType`
  `getType()`
  Returns the optional step type, possibly null.
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Step

    public Step(StepType type)
    Creates a new Step.
    Parameters:
      `type` - StepType type of step

  - ### Step

    public Step(String file)
    Creates a new Step.
    Parameters:
      `file` - String file

  - ### Step

    public Step(String file, long size)
    Creates a new Step.
    Parameters:
      `file` - String file
      `size` - long size in bytes

  - ### Step

    public Step(StepType type, String file)
    Creates a new Step.
    Parameters:
      `type` - StepType type of step
      `file` - String file

  - ### Step

    public Step(StepType type, String file, long size)
    Creates a new Step.
    Parameters:
      `type` - StepType type of step
      `file` - String file
      `size` - long size in bytes

- ## Method Details

  - ### compareTo

    public int compareTo(Step other)
    Specified by:
      `compareTo` in interface `Comparable<Step>`

  - ### equals

    public boolean equals(Object otherObj)
    Overrides:
      `equals` in class `Object`

  - ### getFile

    public String getFile()
    Returns the optional file name, possibly null.
    Returns:
      String optional file name, possibly null

  - ### getSize

    public long getSize()
    Returns the optional size in bytes, possibly Long.MIN_VALUE if undefined.
    Returns:
      long optional size in bytes, possibly Long.MIN_VALUE

  - ### getType

    public StepType getType()
    Returns the optional step type, possibly null.
    Returns:
      StepType optional step type, possibly null

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`